[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TOnValidateEvent

Specifies an event handler signalled to validate a changed row in TValueListEditor.

## Declaration

Source position: valedit.pas line 115

`type TOnValidateEvent = procedure(`
`Sender: TObject;`
`ACol: LongInt;`
`ARow: LongInt;`
`const KeyName: string;`
`const KeyValue: string`
`) of object;`

## Arguments

`Sender` |  | TValueListEditor instance for the event notification.
`ACol` |  | Column number in the control.
`ARow` |  | Row number on the control.
`KeyName` |  | Key name for the modified row.
`KeyValue` |  | Key data for the modified row.

## Description

TOnValidateEvent is an object procedure type that specifies an event handler signalled when changes to a row in TValueListEditor are validated. Arguments passed to the event handler identify the control, column and row numbers, and the Key name and value.

TOnValidateEvent is the type used to implement the TValueListEditor.OnValidate event handler.

## See also

TValueListEditor.OnValidate |  | Not used in the current implementation.